RDKit::FingerprintArguments< OutputType > Class Template Referenceabstract

Abstract base class that holds molecule independent arguments that are common amongst all fingerprint types and classes inherited from this would hold fingerprint type specific arguments. More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::FingerprintArguments< OutputType >:

## Public Member Functions

| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1)
virtual OutputType | getResultSize () const =0
| Returns the size of the fingerprint based on arguments. More...
virtual std::string | infoString () const =0
| method that returns information string about the fingerprint specific argument set and the arguments themselves More...
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values More...
virtual | ~FingerprintArguments ()

## Public Attributes

const bool | d_countSimulation
const std::vector< std::uint32_t > | d_countBounds
const std::uint32_t | d_fpSize
const std::uint32_t | d_numBitsPerFeature

## Detailed Description

### template<typename OutputType>
class RDKit::FingerprintArguments< OutputType >

Abstract base class that holds molecule independent arguments that are common amongst all fingerprint types and classes inherited from this would hold fingerprint type specific arguments.

Definition at line 80 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## FingerprintArguments()

template<typename OutputType >

RDKit::FingerprintArguments< OutputType >::FingerprintArguments | ( | bool | countSimulation,
|  | const std::vector< std::uint32_t > | countBounds,
|  | std::uint32_t | fpSize,
|  | std::uint32_t | numBitsPerFeature = `1`
| ) |  |

## ~FingerprintArguments()

template<typename OutputType >

virtual RDKit::FingerprintArguments< OutputType >::~FingerprintArguments | ( |  | ) |

inline virtual

Definition at line 115 of file FingerprintGenerator.h.

## Member Function Documentation

## commonArgumentsString()

template<typename OutputType >

std::string RDKit::FingerprintArguments< OutputType >::commonArgumentsString | ( |  | ) | const

method that returns information string about common fingerprinting arguments' values

Returns
  std::string information string

## getResultSize()

template<typename OutputType >

virtual OutputType RDKit::FingerprintArguments< OutputType >::getResultSize | ( |  | ) | const

pure virtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implemented in RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >, RDKit::RDKitFP::RDKitFPArguments< OutputType >, RDKit::MorganFingerprint::MorganArguments< OutputType >, and RDKit::AtomPair::AtomPairArguments< OutputType >.

## infoString()

template<typename OutputType >

virtual std::string RDKit::FingerprintArguments< OutputType >::infoString | ( |  | ) | const

pure virtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implemented in RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >, RDKit::RDKitFP::RDKitFPArguments< OutputType >, RDKit::MorganFingerprint::MorganArguments< OutputType >, and RDKit::AtomPair::AtomPairArguments< OutputType >.

## Member Data Documentation

## d_countBounds

template<typename OutputType >

const std::vector<std::uint32_t> RDKit::FingerprintArguments< OutputType >::d_countBounds

Definition at line 88 of file FingerprintGenerator.h.

## d_countSimulation

template<typename OutputType >

const bool RDKit::FingerprintArguments< OutputType >::d_countSimulation

Definition at line 87 of file FingerprintGenerator.h.

## d_fpSize

template<typename OutputType >

const std::uint32_t RDKit::FingerprintArguments< OutputType >::d_fpSize

Definition at line 89 of file FingerprintGenerator.h.

## d_numBitsPerFeature

template<typename OutputType >

const std::uint32_t RDKit::FingerprintArguments< OutputType >::d_numBitsPerFeature

Definition at line 90 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h